Bug 985682 - sisu: Update to Eclipse Sisu
sisu: Update to Eclipse Sisu
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: sisu (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mikolaj Izdebski
Fedora Extras Quality Assurance
: FutureFeature
Depends On: 985691 985692 985693 985694 985695 985696 985697 987084 987110 987111 987112 987113 987114 987115 987116 987117
Blocks: 985674
  Show dependency treegraph
 
Reported: 2013-07-18 00:48 EDT by Mikolaj Izdebski
Modified: 2013-07-25 00:04 EDT (History)
4 users (show)

See Also:
Fixed In Version: 0.0.0-0.1.M4
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-25 00:04:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikolaj Izdebski 2013-07-18 00:48:15 EDT
Description of problem:
Currently sisu package contains Sonatype Sisu, which is no longer
developed.  Maven 3.1.0 uses Eclipse sisu, so this package needs
to be upgraded to Eclipse Sisu.

Eclipse Sisu is totally incompatible with Sonatype Sisu so all
packages depending on sisu will have to pe upgraded or patched.

Additional info:
List of packages that depend on sisu and therefore can be affected
by this update:

aether
eclipse-m2e-core
gshell
maven
maven-indexer
plexus-cipher
sisu
sisu-maven-plugin
Comment 1 Mikolaj Izdebski 2013-07-22 10:18:39 EDT
Missing OSGi dependencies:

cdi.api
com.google.inject
javax.annotation
javax.ejb
org.aopalliance
org.slf4j.api
Comment 2 Mikolaj Izdebski 2013-07-22 13:22:48 EDT
Additional missing OSGi deps (for Sisu Plexus):

plexus.classworlds
plexus.component.annotations
plexus.utils
Comment 3 Mikolaj Izdebski 2013-07-23 03:16:57 EDT
Fixed in sisu-0.0.0-0.1.M4
Comment 4 Mikolaj Izdebski 2013-07-25 00:04:09 EDT
I believe that this bug is fixed in sisu-0.0.0-0.1.M4,
which is available in Fedora Rawhide, so I am closing this bug now.

The build containing the fix can be found at Koji:
http://koji.fedoraproject.org/koji/buildinfo?buildID=436875

Note You need to log in before you can comment on or make changes to this bug.